/*
 * Resouces.java
 *
 * Created on 28 de mayo de 2005, 16:57
 */

package learningbom;

import java.net.URL;
import javax.swing.ImageIcon;
import showHTML.PatchedHTMLEditorKit;
import showHTML.SimpleLinkListener;

/**
 *
 * @author Alejandro Touza
 */
public class Resources{

    public static ImageIcon createImageIcon(String path) {
        URL imgURL = Resources.class.getResource(path);
        if (imgURL != null) {
            return new ImageIcon(imgURL);
        } else {
            System.err.println("Couldn't find file: " + path);
            return null;
        }
    }
    
    public static void addHTML(javax.swing.JEditorPane jep, String resource){
        
       jep.setEditorKitForContentType("text/html", new PatchedHTMLEditorKit());
       URL url = Resources.class.getResource(resource);
       try{
           jep.setPage(url);
       }catch(Exception e){System.out.println(e);}
        
       jep.addHyperlinkListener(new SimpleLinkListener(jep));
    }
}
